local Instances = {
	["Blackfathom Deeps"] = "BFD",
	["Blackrock Depths"] = "BRD",
	["Blackrock Spire"] = "BRS",
	["Blackrock Spire Upper"] = "UBRS",
	["Blackwing Lair"] = "BWL",
	["Dire Maul"] = "DM",
	["Dire Maul East"] = "DM",
	["Dire Maul North"] = "DM",
	["Dire Maul West"] = "DM",
	["Gnomeregan"] = "",
	["Maraudon"] = "MARA",
	["Molten Core"] = "MC",
	["Onyxia's Lair"] = "ONY",
	["Ragefire Chasm"] = "RFC",
	["Razorfen Downs"] = "RFD",
	["Razorfen Kraul"] = "RFK",
	["Scarlet Monastery"] ="SM",
	["Scholomance"] = "SCHOLO",
	["Shadowfang Keep"] = "SFK",
	["Stratholme"] = "STRAT",
	["The Deadmines"] = "VC",
	["The Stockade"] = "",
	["The Temple of Atal'Hakkar"] = "ST",
	["Uldaman"] = "ULDA",
	["Wailing Caverns"] = "WC",
	["Zul'Farrak"] = "ZF",
	["Zul'Gurub"] = "ZG",
	["Ahn'Qiraj"] = "AQ40",
	["Ruins of Ahn'Qiraj"] = "AQ20",
	["Naxxramas"] = "NAX",
	["The Blood Furnaces"] = "",
	["The Shattered Halls"] = "",
	["The Underbog"] = "",
	["The Steam Vault"] = "",
	["The Slave Pens"] = "",
	["Magtheridons Lair"] = "",
	["Hellfire Rampart"] = "",
};

function Round(num, idp)
  local mult = 10^(idp or 0);
  return (math.floor(num * mult + 0.5) / mult);
end

function MiniMapCoords_OnUpdate()
	if(WorldMapFrame:IsVisible()) then 
		return; 
		end
	if (Minimap:IsVisible()) then
		SetMapToCurrentZone();
		local px, py = GetPlayerMapPosition("player");
		if(px == 0 and py == 0) then
			if(Instances[GetRealZoneText()]) then
				SukiMiniCoords:SetText("Instance");
			else
				SukiMiniCoords:SetText("--,--");
			end
		else
			SukiMiniCoords:SetText(Round(px * 100)..","..Round(py * 100));
		end
		SukiMiniCoords:Show();
	else
		SukiMiniCoords:Hide();
	end
end


function MiniMapCoords_OnClick()
	if(ChatFrameEditBox:IsVisible()) then
		local msg = "My location: "..GetRealZoneText().." ("..SukiMiniCoords:GetText()..")";
		ChatFrameEditBox:Insert(msg);
	end
end